Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.servlet
Interface XDBStream

All Known Implementing Classes:
  XDBServletResponse

      public interface XDBStream

Interface for supporting native streaming.

Method Summary
`void` `writeXMLNative(long xobCstate, java.lang.String encoding, short indent)` Write the XOB to the underlying stream

Method Detail

### writeXMLNative

    void writeXMLNative(long xobCstate,
                        java.lang.String encoding,
                        short indent)
                        throws java.io.IOException

  Write the XOB to the underlying stream
  Parameters:
    `xobCstate` - Pointer to the C qmxob struct.
    `encoding` - The charset encoding
    `indent` - The number of spaces to be used for indenting the contents.
  Throws:
    `java.io.IOException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.